xine-lib: xxmc_frame_t Struct Reference

xine-lib 1.2.12

Data Fields
xxmc_frame_t Struct Reference

`#include <xxmc.h>`

## Data Fields
vo_frame_t | vo_frame
int | width
int | height
int | format
double | ratio
XvImage * | image
XShmSegmentInfo | shminfo
XvMCSurface * | xvmc_surf
xine_xxmc_t | xxmc_data
int | last_sw_format

## Field Documentation

## ◆ format

int xxmc_frame_t::format

Referenced by xxmc_check_xoverlay_type(), xxmc_display_frame(), xxmc_do_update_frame(), xxmc_do_update_frame_xv(), xxmc_gui_data_exchange(), xxmc_overlay_begin(), xxmc_overlay_blend(), and xxmc_overlay_end().

## ◆ height

int xxmc_frame_t::height

Referenced by xxmc_display_frame(), xxmc_do_update_frame_xv(), and xxmc_overlay_blend().

## ◆ image

XvImage* xxmc_frame_t::image

Referenced by xxmc_alloc_frame(), xxmc_display_frame(), xxmc_do_update_frame_xv(), xxmc_frame_dispose(), and xxmc_gui_data_exchange().

## ◆ last_sw_format

int xxmc_frame_t::last_sw_format

Referenced by xxmc_alloc_frame(), and xxmc_do_update_frame_xv().

## ◆ ratio

double xxmc_frame_t::ratio

Referenced by xxmc_display_frame(), and xxmc_do_update_frame_xv().

## ◆ shminfo

XShmSegmentInfo xxmc_frame_t::shminfo

Referenced by xxmc_do_update_frame_xv(), and xxmc_frame_dispose().

## ◆ vo_frame

vo_frame_t xxmc_frame_t::vo_frame

Referenced by xxmc_alloc_frame(), xxmc_display_frame(), xxmc_do_update_frame(), xxmc_do_update_frame_xv(), xxmc_frame_updates(), xxmc_mocomp_create_macroblocks(), and xxmc_overlay_blend().

## ◆ width

int xxmc_frame_t::width

Referenced by xxmc_display_frame(), xxmc_do_update_frame_xv(), and xxmc_overlay_blend().

## ◆ xvmc_surf

XvMCSurface* xxmc_frame_t::xvmc_surf

Referenced by xvmc_flush(), xvmc_render_macro_blocks(), xxmc_alloc_frame(), xxmc_display_frame(), xxmc_frame_dispose(), xxmc_frame_updates(), xxmc_gui_data_exchange(), xxmc_overlay_begin(), xxmc_overlay_blend(), xxmc_overlay_end(), and xxmc_xvmc_update_context().

## ◆ xxmc_data

xine_xxmc_t xxmc_frame_t::xxmc_data

Referenced by xvmc_flush(), xxmc_alloc_frame(), xxmc_display_frame(), xxmc_do_update_frame(), xxmc_frame_updates(), xxmc_gui_data_exchange(), and xxmc_xvmc_update_context().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/video_out/xxmc.h